
public class Constant {
	public static final String PROGRAM_NAME = "Simple Multitouch Real-Time Strategy Game";
	public static final int INITIAL_WINDOW_WIDTH = 800;
	public static final int INITIAL_WINDOW_HEIGHT = 800;
	public static final boolean HAS_MENUBAR = true;
	public static final boolean HAS_PANEL_OF_WIDGETS = true;

	public static final float zoomFactorPerPixelDragged = 1.005f;

	// These are in pixels.
	public static final int TEXT_HEIGHT = 20;

	// These are in world space units.
	public static float DESIRED_MIN_DISTANCE_BETWEEN_SOLDIERS = 12;
	public static float DISTANCE_TO_MOVE_EACH_STEP = 0.4f;
	public static float MAX_ATTACK_DISTANCE_BETWEEN_ENEMY_SOLDIERS = 25;
	public static float SOLDIER_RADIUS = 5;

	// in [0,1]
	public static float MAX_DAMAGE_FROM_ATTACK = 0.02f;

	public static int NUM_ARMIES = 4;
	public static int NUM_SOLDIERS_PER_ARMY = 30;

}

